Read a windowed treasury and protocol-fee report.
Admin-only B3IQ-native report derived from customer debit and node payout ledger rows. It returns aggregate protocol fees and payout settlement totals without prompts, outputs, raw tokens, or credentials.
GET
/v1/admin/billing/treasury-report
Admin-only B3IQ-native report derived from customer debit and node
payout ledger rows. It returns aggregate protocol fees and payout
settlement totals without prompts, outputs, raw tokens, or credentials.
Authentication
API Key (header: X-B3IQ-Admin-Token)
Query Parameters
window_days
integer
optional
query
limit
integer
optional
query
Responses
200
Windowed treasury report.
application/jsonstatus
string
Enum:
okgenerated_at
string (date-time)
window_days
integer
totals
object
customer_debits_wei
string
node_payouts_wei
string
protocol_fees_wei
string
settlement_statuses
object[]
Array of:
settlement_status
string
payout_count
integer
total_payout_wei
string
total_amount_wei
string
recent_protocol_fees
object[]
Array of:
default
B3IQ-native problem response.
curl -X GET 'https://{controlPlaneHost}/v1/admin/billing/treasury-report' \ -H 'X-B3IQ-Admin-Token: YOUR_API_KEY'
const response = await fetch('https://{controlPlaneHost}/v1/admin/billing/treasury-report', { method: 'GET', headers: { "X-B3IQ-Admin-Token": "YOUR_API_KEY" }});const data = await response.json();console.log(data);
200
Response
{ "status": "ok", "generated_at": "2024-01-01T00:00:00Z", "window_days": 123, "totals": { "customer_debits_wei": "<string>", "node_payouts_wei": "<string>", "protocol_fees_wei": "<string>" }, "settlement_statuses": [ { "settlement_status": "<string>", "payout_count": 123, "total_payout_wei": "<string>", "total_amount_wei": "<string>" } ], "recent_protocol_fees": [ "<object>" ]}
API Playground
Try this endpoint
GET
/v1/admin/billing/treasury-report
